Parselv1.0.0
EShip

Create quotation

Accepts `address_from`, `address_to`, and `parcels[]`, returns available shipping rates. Only the first parcel is processed.

POST
/compatible/eship/rest/quotation

Authorization

authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

eShip quotation request

Response Body

application/json

application/json

curl -X POST "https://api.parsel.app/compatible/eship/rest/quotation" \  -H "Content-Type: application/json" \  -d '{    "address_from": {      "city": "Atlanta",      "country": "US",      "name": "Warehouse",      "phone": "5551234567",      "state": "GA",      "street1": "313 Nelson Street Southwest",      "zip": "30313"    },    "address_to": {      "city": "New York",      "country": "US",      "name": "Customer",      "phone": "5559876543",      "state": "NY",      "street1": "169 Madison Avenue",      "zip": "10016"    },    "parcels": [      {        "distance_unit": "in",        "height": 5,        "length": 10,        "mass_unit": "lb",        "weight": 2,        "width": 8      }    ]  }'
{
  "address_from": {
    "city": "Atlanta",
    "country": "US",
    "name": "John Doe",
    "phone": "5551234567",
    "state": "GA",
    "street1": "313 Nelson Street Southwest",
    "zip": "30313"
  },
  "address_to": {
    "city": "Atlanta",
    "country": "US",
    "name": "John Doe",
    "phone": "5551234567",
    "state": "GA",
    "street1": "313 Nelson Street Southwest",
    "zip": "30313"
  },
  "items": [
    {}
  ],
  "messages": [
    "string"
  ],
  "object_id": "string",
  "parcels": [
    {
      "distance_unit": "in",
      "height": 5,
      "length": 10,
      "mass_unit": "lb",
      "weight": 2,
      "width": 8
    }
  ],
  "rates": [
    {
      "amount": 8.5,
      "currency": "USD",
      "days": 3,
      "provider": "UPS",
      "rate_id": "123e4567-e89b-12d3-a456-426614174000",
      "servicelevel": {
        "name": "Ground",
        "token": "ground"
      },
      "tags": []
    }
  ],
  "status": "SUCCESS"
}
{
  "message": "string",
  "status": "ERROR"
}